package data.features.admin

import data.features.authorize.users
import domain.Response.UserResponse
import java.util.UUID

class AdminRepositoryImpl: AdminRepository{
    override fun removeUserById(userId: UUID): Boolean {
        return users.removeIf{it.uuid == userId}
    }

    override fun getAllUsers(): List<UserResponse> {
        var usersResponse = mutableListOf<UserResponse>()
        for (user in users){
            usersResponse.add(
                UserResponse(
                    firstName = user.firstName,
                    lastName = user.lastName,
                    email = user.email,
                    number = user.number,
                    address = user.address,
                    photo = user.photo
                )
            )
        }
        return usersResponse
    }
}