package data.features.password
import javax.crypto.SecretKeyFactory
import javax.crypto.spec.PBEKeySpec
import java.util.Base64

private const val HASH_LENGTH = 256
private const val ITERATIONS = 65536

class PasswordRepositoryImpl: PasswordRepository{
    override fun hashedPassword(password: String, salt: ByteArray): String {
        val spec = PBEKeySpec(password.toCharArray(), salt, ITERATIONS, HASH_LENGTH)
        val factory = SecretKeyFactory.getInstance("PBKDF2WithHmacSHA256")
        val hash = factory.generateSecret(spec).encoded
        return Base64.getEncoder().encodeToString(hash)
    }

    override fun matches(password: String, salt: ByteArray, hashedPassword: String): Boolean {
        return hashedPassword == hashedPassword(password, salt)
    }
}