package domain.Service.authorize

import data.features.authorize.AuthorizeRepository
import domain.Request.AuthorizeRequest
import domain.Request.RegistrationRequest
import ui.model.UserPresenter

class AuthorizeServiceImpl(private val authorizeRepository: AuthorizeRepository): AuthorizeService {
    override fun auth(authorizeRequest: AuthorizeRequest): UserPresenter {
        val user = authorizeRepository.auth(authorizeRequest)
        return UserPresenter(firstName = user.firstName, lastName = user.lastName, email = user.email, photo = user.photo, number = user.number, address = user.address)
    }

    override fun registration(registrationRequest: RegistrationRequest): UserPresenter {
        val user = authorizeRepository.registration(registrationRequest)
        return UserPresenter(firstName = user.firstName, lastName = user.lastName, email = user.email, photo = user.photo, number = user.number, address = user.address)
    }
}